clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::DeclaratorChunk::BlockPointerTypeInfo Struct Reference

`#include "clang/Sema/DeclSpec.h"`

Collaboration diagram for clang::DeclaratorChunk::BlockPointerTypeInfo:
[legend]

## Public Member Functions
void | destroy ()

## Public Attributes
unsigned | TypeQuals: 5
| For now, sema will catch these as invalid. More...

## Detailed Description

Definition at line 1509 of file DeclSpec.h.

## Member Function Documentation

## ◆ destroy()

void clang::DeclaratorChunk::BlockPointerTypeInfo::destroy | ( |  | ) |
| inline

Definition at line 1514 of file DeclSpec.h.

## Member Data Documentation

## ◆ TypeQuals

unsigned clang::DeclaratorChunk::BlockPointerTypeInfo::TypeQuals

For now, sema will catch these as invalid.

The type qualifiers: const/volatile/restrict/__unaligned/_Atomic.

Definition at line 1512 of file DeclSpec.h.

Referenced by clang::DeclaratorChunk::getBlockPointer(), and clang::DeclaratorChunk::getPipe().

The documentation for this struct was generated from the following file:

- include/clang/Sema/DeclSpec.h